#
# spec file for package perl-B-COW
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name B-COW
Name:           perl-B-COW
Version:        0.007
Release:        bp156.2.2
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        B::COW additional B helpers to check COW status
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
B::COW provides some naive additional B helpers to check the COW status of
one SvPV.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples README
%license LICENSE

%changelog
* Fri Oct 21 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.007
  see /usr/share/doc/packages/perl-B-COW/Changes
  0.007     2022-10-20 08:59:44-06:00 America/Denver
  * Advertise XSLoader dependency
  0.006     2022-10-17 09:20:52-06:00 America/Denver
  * Disable prototypes to silence warning (haarg)
  0.005     2022-10-14 09:15:55-06:00 America/Denver
  * Add version to Test::More use to ensure correct version (haarg)
  * Remove useless MIN_PERL_VERSION_FOR_COW
  * Update CI workflow
* Fri Apr 24 2020 <timueller+perl@suse.de>
- updated to 0.004
  see /usr/share/doc/packages/perl-B-COW/Changes
  0.004     2020-04-23 14:41:21-06:00 America/Denver
  fix CowREFCNT issues on big endian
* Tue Apr 21 2020 <timueller+perl@suse.de>
- updated to 0.003
  see /usr/share/doc/packages/perl-B-COW/Changes
  0.003     2020-04-20 09:59:34-06:00 America/Denver
  support for Perl compiled without COW
* Thu Jan 30 2020 <timueller+perl@suse.de>
- updated to 0.002
  see /usr/share/doc/packages/perl-B-COW/Changes
  0.002     2020-01-29 12:13:52-07:00 America/Denver
  fix unit test error for 'uncow' strings
* Fri Nov  8 2019 <tina.mueller@suse.com>
- initial package 0.001
  * created by cpanspec 1.78.09
